activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Arentz <stefan.are...@soze.com>
Subject Distribution Chaos (Maven?)
Date Mon, 14 Aug 2006 14:51:26 GMT

Now that I have your attention :-)

I have a couple of questions regarding ActiveMQ versions and distributions.

The web site mentions 3.2.2 as the latest from the 3.2 branch but the
(Ibiblio) Maven 2 repository has 3.2.4. Is that a ghost release? Should I
use that?

The 3.2.4 artifacts have a dependency on
xmlbeans:xmlbeans-jsr173-api:jar:2.0-dev,
activecluster:activecluster:jar:1.1-SNAPSHOT and
net.java.dev.javacc:javacc:jar:2.1 which are all missing from the Maven 2
repository.

When I try to use 3.2.2 there are 16 required artifacts missing.

The Maven 2 repository has no signs of the final 4.0.x releases. Are those
in another repository?

This is probable more Maven related, but I'll throw it in as a bonus :-) My
project runs fine with just activemq-core and concurrent. Is there any way
to prevent activemq sucking in the 50+ dependencies that I don't need?

It would be really nice if AM were properly distributed through Maven 2!

 S.

-- 
View this message in context: http://www.nabble.com/Distribution-Chaos-%28Maven-%29-tf2103726.html#a5797855
Sent from the ActiveMQ - User forum at Nabble.com.


Mime
View raw message